KJS::ValueImp class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ValueImp Class Reference

ValueImp is the base type for all primitives (Undefined, Null, Boolean, String, Number) and objects in ECMAScript. More...

`#include <value.h>`

List of all members.

## Public Member Functions
ValueImp * | ref ()
bool | deref ()
virtual void | mark ()
bool | marked () const
void * | operator new (size_t)
void | operator delete (void *)
void | setGcAllowed ()
void | inlinedSetGcAllowed ()
virtual Type | type () const =0
virtual Value | toPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const =0
virtual bool | toBoolean (ExecState *exec) const =0
virtual double | toNumber (ExecState *exec) const =0
virtual int | toInteger (ExecState *exec) const
virtual int | toInt32 (ExecState *exec) const
virtual unsigned int | toUInt32 (ExecState *exec) const
virtual unsigned short | toUInt16 (ExecState *exec) const
virtual UString | toString (ExecState *exec) const =0
virtual Object | toObject (ExecState *exec) const =0
virtual Value | getBase (ExecState *exec) const
virtual UString | getPropertyName (ExecState *exec) const
virtual Value | getValue (ExecState *exec) const
virtual void | putValue (ExecState *exec, const Value w)
## Public Attributes
unsigned int | refcount
## Friends
class | Collector

## Detailed Description

ValueImp is the base type for all primitives (Undefined, Null, Boolean, String, Number) and objects in ECMAScript.

Note: you should never inherit from ValueImp as it is for primitive types only (all of which are provided internally by KJS). Instead, inherit from ObjectImp.

Definition at line 83 of file value.h.

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001